Take back repair
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/take-back \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, note: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/take-back', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/take-back"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"revision": 123,
"status": "<string>",
"reference": "<string>",
"handover": {
"to": "landlord",
"partyType": "insurer",
"partyName": "<string>",
"partyReference": "<string>",
"partyEmail": "<string>",
"shareTenantContact": true,
"warrantyAssetId": "<string>",
"note": "<string>",
"handedOverAt": "<string>",
"followUpOn": "<string>",
"emailedAt": "<string>",
"emailProblem": "<string>"
},
"makeSafe": {
"madeSafeAt": "<string>",
"by": "staff",
"note": "<string>",
"returnVisitBooked": true
},
"canHandOver": true,
"handOverBlocked": "<string>",
"canMakeSafe": true,
"landlord": {
"name": "<string>",
"email": "<string>"
},
"warranty": [
{
"assetId": "<string>",
"name": "<string>",
"category": "<string>",
"warrantyExpiresOn": "<string>",
"provider": {
"name": "<string>",
"email": "<string>"
},
"match": "linked"
}
],
"safety": {
"version": "<string>",
"hazards": [
"gas"
],
"channels": [
"confirmation_page"
],
"shownAt": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Take back repair
Take a handed-over repair back into the agency’s own path
POST
/
maintenance-pro
/
repairs
/
{id}
/
take-back
Take back repair
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/take-back \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, note: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/take-back', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/take-back"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"revision": 123,
"status": "<string>",
"reference": "<string>",
"handover": {
"to": "landlord",
"partyType": "insurer",
"partyName": "<string>",
"partyReference": "<string>",
"partyEmail": "<string>",
"shareTenantContact": true,
"warrantyAssetId": "<string>",
"note": "<string>",
"handedOverAt": "<string>",
"followUpOn": "<string>",
"emailedAt": "<string>",
"emailProblem": "<string>"
},
"makeSafe": {
"madeSafeAt": "<string>",
"by": "staff",
"note": "<string>",
"returnVisitBooked": true
},
"canHandOver": true,
"handOverBlocked": "<string>",
"canMakeSafe": true,
"landlord": {
"name": "<string>",
"email": "<string>"
},
"warranty": [
{
"assetId": "<string>",
"name": "<string>",
"category": "<string>",
"warrantyExpiresOn": "<string>",
"provider": {
"name": "<string>",
"email": "<string>"
},
"match": "linked"
}
],
"safety": {
"version": "<string>",
"hazards": [
"gas"
],
"channels": [
"confirmation_page"
],
"shownAt": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes